Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class ColorStatistics

    java.lang.Object
      ij.process.ImageStatistics
          ij.process.ColorStatistics

All Implemented Interfaces:
  Measurements

public class ColorStatistics
extends ImageStatistics

RGB image statistics, including histogram.

Field Summary

Fields inherited from class ij.process.ImageStatistics
`angle, area, areaFraction, binSize, cal, dmode, height, histMax, histMin, histogram, histogram16, histYMax, kurtosis, major, max, maxCount, mean, median, min, minor, mode, nBins, ph, pixelCount, pw, rh, roiHeight, roiWidth, roiX, roiY, rw, rx, ry, skewness, stdDev, umean, width, xCenterOfMass, xCentroid, yCenterOfMass, yCentroid`

Fields inherited from interface ij.measure.Measurements
`AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, PERIMETER, RECT, SKEWNESS, SLICE, STD_DEV`

Constructor Summary
`ColorStatistics(ImageProcessor ip)` Construct an ImageStatistics object from a ColorProcessor using the standard measurement options (area, mean, mode, min and max).
`ColorStatistics(ImageProcessor ip, int mOptions, Calibration cal)` Constructs a ColorStatistics object from a ColorProcessor using the specified measurement options.

Methods inherited from class ij.process.ImageStatistics
`drawEllipse, getStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorStatistics

    public ColorStatistics(ImageProcessor ip)

  Construct an ImageStatistics object from a ColorProcessor using the standard measurement options (area, mean, mode, min and max).

### ColorStatistics

    public ColorStatistics(ImageProcessor ip,
                           int mOptions,
                           Calibration cal)

  Constructs a ColorStatistics object from a ColorProcessor using the specified measurement options.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD